ClippingParameters Class

class NXOpen.CAE.ClippingParameters

Bases: NXOpen.TaggedObject

This class is worked as a packet of information that can be used to set the clipping parameters of a NXOpen.CAE.Post object.

<br/>Use NXOpen.CAE.ResultManager to create an NXOpen.CAE.ResultParameters

<br/>You can modifiy these values but validation of correctness will only be perfomed when this object is set to a NXOpen.CAE.Post object

To obtain an instance of this class use NXOpen.Session.ResultManager().

New in version NX7.5.1.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
GetClipValue Ask clip value @return
GetCoordinateSystem Ask coordinate system @return
GetPlane Ask plane @return
GetSelectedCoordinateSystem Ask selected coordinate system
GetShowClippedGhost Ask show clipped ghost @return
GetShowOutline Ask show outline @return
GetSide Ask side @return
SetClipValue Set clip value
SetCoordinateSystem Set coordinate system
SetPlane Set plane
SetSelectedCoordinateSystem Set selected coordinate system
SetShowClippedGhost Set show clipped ghost
SetShowOutline Set show outline
SetSide Set side

Method Detail

GetClipValue

ClippingParameters.GetClipValue

Ask clip value

Signature GetClipValue()

Returns:
Return type:float

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetCoordinateSystem

ClippingParameters.GetCoordinateSystem

Ask coordinate system

Signature GetCoordinateSystem()

Returns:
Return type:NXOpen.CAE.ResultCoordinateSystem

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetPlane

ClippingParameters.GetPlane

Ask plane

Signature GetPlane()

Returns:
Return type:NXOpen.CAE.PostClipPlane

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetSelectedCoordinateSystem

ClippingParameters.GetSelectedCoordinateSystem

Ask selected coordinate system

Signature GetSelectedCoordinateSystem()

Returns:a tuple
Return type:A tuple consisting of (source, id). source is a NXOpen.CAE.ResultCoordinateSystemSource. id is a int.

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetShowClippedGhost

ClippingParameters.GetShowClippedGhost

Ask show clipped ghost

Signature GetShowClippedGhost()

Returns:
Return type:bool

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetShowOutline

ClippingParameters.GetShowOutline

Ask show outline

Signature GetShowOutline()

Returns:
Return type:bool

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetSide

ClippingParameters.GetSide

Ask side

Signature GetSide()

Returns:
Return type:NXOpen.CAE.PostClipSide

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetClipValue

ClippingParameters.SetClipValue

Set clip value

Signature SetClipValue(clipValue)

Parameters:clipValue (float) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetCoordinateSystem

ClippingParameters.SetCoordinateSystem

Set coordinate system

Signature SetCoordinateSystem(coordinateSystem)

Parameters:coordinateSystem (NXOpen.CAE.ResultCoordinateSystem) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetPlane

ClippingParameters.SetPlane

Set plane

Signature SetPlane(plane)

Parameters:plane (NXOpen.CAE.PostClipPlane) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetSelectedCoordinateSystem

ClippingParameters.SetSelectedCoordinateSystem

Set selected coordinate system

Signature SetSelectedCoordinateSystem(source, id)

Parameters:

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetShowClippedGhost

ClippingParameters.SetShowClippedGhost

Set show clipped ghost

Signature SetShowClippedGhost(showClippedGhost)

Parameters:showClippedGhost (bool) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetShowOutline

ClippingParameters.SetShowOutline

Set show outline

Signature SetShowOutline(showOutline)

Parameters:showOutline (bool) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetSide

ClippingParameters.SetSide

Set side

Signature SetSide(side)

Parameters:side (NXOpen.CAE.PostClipSide) –

New in version NX7.5.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)